Skip to main content

Get Order Fills

Get current order fill records for futures trading.

HTTP Request

GET /api/v1/future/order/fills

Request Parameters

ParameterTypeRequiredDescription
limitnumberYesNumber of records to return
symbolstringNoTrading pair symbol (e.g., BTCUSDT)
orderIdstringNoOrder ID to filter fills
idLessThannumberNoReturn records with ID less than this value
startTimenumberNoStart timestamp in milliseconds
endTimenumberNoEnd timestamp in milliseconds

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/future/order/fills?symbol=BTCUSDT&limit=100" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectFill records data
> fillListarrayArray of fill records
>> symbolstringTrading pair symbol
>> tradeIdstringTrade ID
>> orderIdstringOrder ID
>> tradeTypestringTrade type: "TAKER" or "MAKER"
>> sidestringOrder side: "BUY" or "SELL"
>> feestringTrading fee
>> pricestringFill price
>> amountstringFill amount
>> profitstringRealized profit/loss
>> cTimenumberCreation time in milliseconds
> endIdstringLast record ID for pagination

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"fillList": [
{
"symbol": "BTCUSDT",
"tradeId": "1234567890",
"orderId": "fu-123456789",
"tradeType": "TAKER",
"side": "BUY",
"fee": "2.00",
"price": "40000.00",
"amount": "0.5",
"profit": "0",
"cTime": 1763459280000
}
],
"endId": "1234567889"
}
}

Error Codes

CodeMessage
40001Order not found
40001Partial position not found